package com.ruoyi.tcZz.service;

import java.util.List;
import com.ruoyi.tcZz.domain.TcAqg;
import com.ruoyi.tcZz.domain.TcWljg;

/**
 * 网络安全官Service接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcAqgService 
{
    /**
     * 查询网络安全官
     * 
     * @param id 网络安全官主键
     * @return 网络安全官
     */
    public TcAqg selectTcAqgById(Long id);

    /**
     * 查询网络安全官列表
     * 
     * @param tcAqg 网络安全官
     * @return 网络安全官集合
     */
    public List<TcAqg> selectTcAqgList(TcAqg tcAqg);

    /**
     * 新增网络安全官
     * 
     * @param tcAqg 网络安全官
     * @return 结果
     */
    public int insertTcAqg(TcAqg tcAqg);

    /**
     * 修改网络安全官
     * 
     * @param tcAqg 网络安全官
     * @return 结果
     */
    public int updateTcAqg(TcAqg tcAqg);

    /**
     * 批量删除网络安全官
     * 
     * @param ids 需要删除的网络安全官主键集合
     * @return 结果
     */
    public int deleteTcAqgByIds(Long[] ids);

    /**
     * 删除网络安全官信息
     * 
     * @param id 网络安全官主键
     * @return 结果
     */
    public int deleteTcAqgById(Long id);



    /**
     * 导入网络安全官信息
     *
     * @return 结果
     */
    public String importUser(List<TcAqg> tcAqgList);



    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
